MENU_OPTS(3) | Library Functions Manual | MENU_OPTS(3)

# NAME

`menu_opts`, `menu_opts_off`, `menu_opts_on`, `set_menu_opts` —
get or modify options for a menu

# LIBRARY

Curses Menu Library (libmenu, -lmenu)

# SYNOPSIS

`#include <menu.h>`

OPTIONS
`menu_opts`(MENU *menu);

int
`menu_opts_off`(MENU *menu, OPTIONS opts);

int
`menu_opts_on`(MENU *menu, OPTIONS opts);

int
`set_menu_opts`(MENU *menu, OPTIONS opts);

# DESCRIPTION

The `menu_opts`() function returns the current options set for the menu given. The `menu_opts_off`() function turns off the menu options given by the opts parameter for the menu. The `menu_opts_on`() function turns on the menu options given by the opts parameter for the menu passed. The `set_menu_opts`() sets the menu options to the value given in opts. Options may be logigally ORed together. Valid options are:

Option | Meaning
`O_ONEVALUE` | The menu may only have one item selected at a time. The menu mark will indicate the current item. If this option is off then multiple menu items may be selected and the menu mark will be displayed on each selected item.

# RETURN VALUES

The functions return one of the following error values:

`E_OK`
  The function was successful.
`E_BAD_ARGUMENT`
  One or more of the arguments passed to the function was incorrect.
`E_POSTED`
  The menu is already posted.

# SEE ALSO

curses(3), menus(3)

# NOTES

The header ⟨menu.h⟩ automatically includes both ⟨curses.h⟩ and ⟨eti.h⟩.

June 30, 2019 | NetBSD 9.5